Skip to main content
POST
/
enrich
Enrich
curl --request POST \
  --url https://api.reprompt.io/v2/enrich \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "inputs": {
    "full_address": "7 Carmine St, New York, NY 10014",
    "latitude": 40.7359,
    "longitude": -73.9911,
    "name": "Joe's Pizza"
  },
  "attribute_key": "<string>"
}
EOF
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token in the format: Bearer YOUR_API_KEY

Headers

apiKey
string | null

Query Parameters

org_slug
string | null

Body

application/json

Main enrichment request

inputs
EnrichInputObject · object
required

Input data for the enrichment (keys depend on attribute_key).

Example:
{
  "full_address": "7 Carmine St, New York, NY 10014",
  "latitude": 40.7359,
  "longitude": -73.9911,
  "name": "Joe's Pizza"
}
attribute_key
string
required

Key identifying the enrichment to run. See GET /v2/attributes for the full list of available keys and their required inputs.

version
integer | null

Optional saved agent version to run. Defaults to the active version when omitted.

Response

Successful Response